| QxOrm 1.4.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes
qx::dao::detail::IxDao_Helper Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::IxDao_Helper : helper class to communicate with database More...

`#include <IxDao_Helper.h>`

List of all members.

## Public Member Functions
bool | isValid () const
bool | hasFeature (QSqlDriver::DriverFeature ft) const
QSqlDatabase & | database ()
const QSqlDatabase & | database () const
QSqlQuery & | query ()
const QSqlQuery & | query () const
QSqlError & | error ()
const QSqlError & | error () const
qx::QxSqlQuery & | qxQuery ()
const qx::QxSqlQuery & | qxQuery () const
qx::IxSqlQueryBuilder & | builder ()
const qx::IxSqlQueryBuilder & | builder () const
qx::IxDataMemberX * | getDataMemberX () const
long | getDataCount () const
qx::IxDataMember * | getDataId () const
qx::IxDataMember * | nextData (long &l) const
QString | sql () const
qx::QxSqlRelationLinked * | getSqlRelationLinked () const
bool | getCartesianProduct () const
QStringList | getSqlColumns () const
void | setSqlColumns (const QStringList &lst)
IxSqlGenerator * | getSqlGenerator () const
void | addInvalidValues (const qx::QxInvalidValueX &lst)
bool | getAddAutoIncrementIdToUpdateQuery () const
QStringList & | itemsAsJson ()
bool | isReadOnly () const
bool | isMongoDB () const
QSqlError | errFailed (bool bPrepare=false)
QSqlError | errEmpty ()
QSqlError | errNoData ()
QSqlError | errInvalidId ()
QSqlError | errInvalidRelation ()
QSqlError | errReadOnly ()
bool | transaction ()
bool | nextRecord ()
void | quiet ()
bool | exec ()
bool | prepare (QString &sql)
QSqlError | updateError (const QSqlError &error)
bool | updateSqlRelationX (const QStringList &relation)
void | addQuery (const qx::QxSqlQuery &query, bool bResolve)
void | setTimeDatabase (int ms)
void | dumpRecord () const
template<class U >
bool | isValidPrimaryKey (const U &u)
template<class U >
void | updateLastInsertId (U &u)
template<class U >
bool | validateInstance (U &u)
## Protected Member Functions
| IxDao_Helper (qx::IxSqlQueryBuilder *pBuilder)
virtual | ~IxDao_Helper ()
void | dumpBoundValues () const
QSqlError | updateError (const QString &sError)
void | init (QSqlDatabase *pDatabase, const QString &sContext)
void | terminate ()
## Private Attributes
std::unique_ptr< IxDao_HelperImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::dao::detail::IxDao_Helper : helper class to communicate with database

Definition at line 83 of file IxDao_Helper.h.

## Constructor & Destructor Documentation

qx::dao::detail::IxDao_Helper::IxDao_Helper | ( | qx::IxSqlQueryBuilder * | pBuilder | ) | `[protected]`

virtual qx::dao::detail::IxDao_Helper::~IxDao_Helper | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void qx::dao::detail::IxDao_Helper::addInvalidValues | ( | const qx::QxInvalidValueX & | lst | ) |

void qx::dao::detail::IxDao_Helper::addQuery | ( | const qx::QxSqlQuery & | query,
|  | bool | bResolve
| ) |  |

qx::IxSqlQueryBuilder& qx::dao::detail::IxDao_Helper::builder | ( |  | ) |

const qx::IxSqlQueryBuilder& qx::dao::detail::IxDao_Helper::builder | ( |  | ) | const

QSqlDatabase& qx::dao::detail::IxDao_Helper::database | ( |  | ) |

const QSqlDatabase& qx::dao::detail::IxDao_Helper::database | ( |  | ) | const

void qx::dao::detail::IxDao_Helper::dumpBoundValues | ( |  | ) | const`[protected]`

void qx::dao::detail::IxDao_Helper::dumpRecord | ( |  | ) | const

QSqlError qx::dao::detail::IxDao_Helper::errEmpty | ( |  | ) |

QSqlError qx::dao::detail::IxDao_Helper::errFailed | ( | bool | bPrepare = `false` | ) |

QSqlError qx::dao::detail::IxDao_Helper::errInvalidId | ( |  | ) |

QSqlError qx::dao::detail::IxDao_Helper::errInvalidRelation | ( |  | ) |

QSqlError qx::dao::detail::IxDao_Helper::errNoData | ( |  | ) |

QSqlError& qx::dao::detail::IxDao_Helper::error | ( |  | ) |

const QSqlError& qx::dao::detail::IxDao_Helper::error | ( |  | ) | const

QSqlError qx::dao::detail::IxDao_Helper::errReadOnly | ( |  | ) |

bool qx::dao::detail::IxDao_Helper::exec | ( |  | ) |

bool qx::dao::detail::IxDao_Helper::getAddAutoIncrementIdToUpdateQuery | ( |  | ) | const

bool qx::dao::detail::IxDao_Helper::getCartesianProduct | ( |  | ) | const

long qx::dao::detail::IxDao_Helper::getDataCount | ( |  | ) | const

qx::IxDataMember* qx::dao::detail::IxDao_Helper::getDataId | ( |  | ) | const

qx::IxDataMemberX* qx::dao::detail::IxDao_Helper::getDataMemberX | ( |  | ) | const

QStringList qx::dao::detail::IxDao_Helper::getSqlColumns | ( |  | ) | const

IxSqlGenerator* qx::dao::detail::IxDao_Helper::getSqlGenerator | ( |  | ) | const

qx::QxSqlRelationLinked* qx::dao::detail::IxDao_Helper::getSqlRelationLinked | ( |  | ) | const

bool qx::dao::detail::IxDao_Helper::hasFeature | ( | QSqlDriver::DriverFeature | ft | ) | const

void qx::dao::detail::IxDao_Helper::init | ( | QSqlDatabase * | pDatabase,
|  | const QString & | sContext
| ) |  | `[protected]`

bool qx::dao::detail::IxDao_Helper::isMongoDB | ( |  | ) | const

bool qx::dao::detail::IxDao_Helper::isReadOnly | ( |  | ) | const

bool qx::dao::detail::IxDao_Helper::isValid | ( |  | ) | const

template<class U >

bool qx::dao::detail::IxDao_Helper::isValidPrimaryKey | ( | const U & | u | ) | `[inline]`

Definition at line 147 of file IxDao_Helper.h.

QStringList& qx::dao::detail::IxDao_Helper::itemsAsJson | ( |  | ) |

qx::IxDataMember* qx::dao::detail::IxDao_Helper::nextData | ( | long & | l | ) | const

bool qx::dao::detail::IxDao_Helper::nextRecord | ( |  | ) |

bool qx::dao::detail::IxDao_Helper::prepare | ( | QString & | sql | ) |

QSqlQuery& qx::dao::detail::IxDao_Helper::query | ( |  | ) |

const QSqlQuery& qx::dao::detail::IxDao_Helper::query | ( |  | ) | const

void qx::dao::detail::IxDao_Helper::quiet | ( |  | ) |

qx::QxSqlQuery& qx::dao::detail::IxDao_Helper::qxQuery | ( |  | ) |

const qx::QxSqlQuery& qx::dao::detail::IxDao_Helper::qxQuery | ( |  | ) | const

void qx::dao::detail::IxDao_Helper::setSqlColumns | ( | const QStringList & | lst | ) |

void qx::dao::detail::IxDao_Helper::setTimeDatabase | ( | int | ms | ) |

QString qx::dao::detail::IxDao_Helper::sql | ( |  | ) | const

void qx::dao::detail::IxDao_Helper::terminate | ( |  | ) | `[protected]`

bool qx::dao::detail::IxDao_Helper::transaction | ( |  | ) |

QSqlError qx::dao::detail::IxDao_Helper::updateError | ( | const QSqlError & | error | ) |

QSqlError qx::dao::detail::IxDao_Helper::updateError | ( | const QString & | sError | ) | `[protected]`

template<class U >

void qx::dao::detail::IxDao_Helper::updateLastInsertId | ( | U & | u | ) | `[inline]`

Definition at line 151 of file IxDao_Helper.h.

bool qx::dao::detail::IxDao_Helper::updateSqlRelationX | ( | const QStringList & | relation | ) |

template<class U >

bool qx::dao::detail::IxDao_Helper::validateInstance | ( | U & | u | ) | `[inline]`

Definition at line 158 of file IxDao_Helper.h.

## Member Data Documentation

std::unique_ptr<IxDao_HelperImpl> qx::dao::detail::IxDao_Helper::m_pImpl`[private]`

Private implementation idiom.

Definition at line 88 of file IxDao_Helper.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDao/IxDao_Helper.h